<mat-card-header class="header">
  <h2 mat-dialog-title class="title uppercase">Generate a token for pod</h2>

  <div class="warning">
    <div class="text">Generate a token to be used in your pod to authenticate to Picnic REST API.</div>
  </div>
</mat-card-header>

<mat-dialog-content>

  <div class="form-container">
    <form [formGroup]="form" (ngSubmit)="onSave()">

      <mat-form-field appearance="outline">
        <mat-label>Name</mat-label>
        <input matInput maxlength="{{ nameMaxLen }}" inputmode="name" placeholder="Type name" formControlName="name"
               #nameInput>
        <mat-hint>Characters: {{ nameInput.value.length || 0 }}/{{ nameMaxLen }}</mat-hint>
        <mat-error *ngIf="form.controls['name'].errors?.['required']">Name is required</mat-error>
        <mat-error *ngIf="form.controls['name'].errors?.['minlength']">
          Please enter at least {{ nameMinLen }} character
        </mat-error>
        <mat-error *ngIf="form.controls['name'].errors?.['maxlength']">
          Maximum allowed length is {{ nameMaxLen }} characters
        </mat-error>
      </mat-form-field>

    </form>
  </div>

</mat-dialog-content>

<mat-dialog-actions [align]="'end'">
  <button mat-button class="mat-raised-button" (click)="onClose()">Close</button>
  <button mat-button class="mat-raised-button mat-primary" (click)="onSave()"
          [disabled]="!form.valid">Save
  </button>
</mat-dialog-actions>
